import java.util.ArrayList;
import java.util.Scanner;

public class Ground {
    private char board[][] ;
    private int n, m ;

    public Ground (int n, int m) {
        board = new char[n][m] ;
        this.n = n ;
        this.m = m ;
    }

    public void update(ArrayList <Police> polices, Thief thief) {
        for (int i=0 ; i<n ; ++i)
            for (int j=0 ; j<m ; ++j)
                board[i][j] = ' ' ;
        for (Police p : polices)
            board[p.getRow()][p.getCol()] = 'P' ;
        board[thief.getRow()][thief.getCol()] = 'D' ;
    }

    public void printBoard() {
        System.out.print(" ") ;
        for (int i=1 ; i<=m ; ++i) {
            if (i<10) System.out.print("   " + i) ;
            else System.out.print("  " + i) ;
        }
        System.out.print("\n  ") ;
        for (int i=0 ; i<m ; ++i)
            System.out.print("+---") ;
        System.out.print("+\n") ;
        for (int i=0 ; i<n ; ++i) {
            if (i+1<10) System.out.print(" ") ;
            System.out.print(i+1) ;
            for (int j=0 ; j<m ; ++j) {
                System.out.print("| " + board[i][j] + " ") ;
            }
            System.out.print("|\n  ") ;
            for (int i2=0 ; i2<m ; ++i2)
                System.out.print("+---") ;
            System.out.print("+\n") ;
        }
    }

}