import java.util.ArrayList;
import java.util.HashMap;
import java.util.Scanner;

public class Police {
    private int row, col ;

    Police (int r, int c) {
        this.row = r ;
        this.col = c ;
    }

    public int getRow() {
        return row;
    }

    public int getCol() {
        return col;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public void setCol(int col) {
        this.col = col;
    }

    ArrayList <HashMap<Integer,Integer>> vision() {
        ArrayList <HashMap <Integer,Integer>> res = new ArrayList <>() ;
        for (int i=row-2 ; i<row+3 ; ++i) {
            for (int j=col-2 ; j<col+3 ; ++j) {
                HashMap <Integer,Integer> mp = new HashMap <>() ;
                mp.put(i, j) ;
                res.add(mp) ;
            }
        }
        return res ;
    }

    public boolean update (int dx, int dy, int n, int m) {
        if (row+dx >= 0 && row+dx < n
                && col+dy >= 0 && col+dy < m) {
            this.setRow(row + dx) ;
            this.setCol(col + dy) ;
            return true ;
        }
        return false ;
    }

}