import java.util.*;

public class Main {



        public static void main(String[] args) throws Exception {
            int n, m, numberOfPolice, time=0 ;
            Scanner in = new Scanner (System.in) ;
            Random random = new Random() ;
            int dx[] = {-1,-1,-1, 0, 0,+1,+1,+1} ;
            int dy[] = {-1, 0,+1,-1,+1,-1, 0,+1} ;
            boolean isAware = false ;
            ArrayList <Police> polices = new ArrayList<>() ;
            Thief thief ;
            Set <Integer> st = new HashSet<>() ;

            System.out.print("Plaese enter n: ") ;
            n = in.nextInt() ;
            System.out.print("Plaese enter m: ") ;
            m = in.nextInt() ;
            System.out.print("Plaese enter number of police: ") ;
            numberOfPolice = in.nextInt() ;

            while (st.size() != numberOfPolice) {
                int r = random.nextInt(n) ;
                int c = random.nextInt(m) ;
                Police p = new Police (r, c) ;
                int a = st.size() ;
                st.add(r*1_000_000 + c) ;
                int b = st.size() ;
                if (b-a==1) {
                    polices.add(p) ;
                }
            }


            thief = new Thief(random.nextInt(n), random.nextInt(m)) ;
            Ground g = new Ground(n, m) ;
            while (true) {
                //System.out.print("\f");
                //Runtime.getRuntime().exec("cls") ;
                //System.out.print("\033[H\033[2J");
                //System.out.flush();
                //Runtime.getRuntime().exec("cls");
                g.update(polices, thief) ;
                System.out.println("time: " + time) ;
                g.printBoard() ;
                time++ ;

                // thief move
                while (true) {
                    int rand = random.nextInt(8) ;
                    if (thief.update(dx[rand], dy[rand], n, m)) break ;
                }

                // check finished program
                for (Police p : polices) {
                    if (p.getRow()==thief.getRow()
                            && p.getCol()==thief.getCol()) {
                        System.out.print("Finished ! \n") ;
                        System.exit(0) ;
                    }
                }

                // check aware from thief's cell
                for (Police p : polices) {
                    for (HashMap <Integer,Integer> c : p.vision()) {
                        for (Map.Entry mp : c.entrySet()) {
                            int row1 = (Integer) mp.getKey() ;
                            int col1 = (Integer) mp.getValue() ;
                            if (row1==thief.getRow()
                                    && col1==thief.getCol()) {
                                isAware = true ;
                            }
                        }
                    }
                }

                // move polices
                if (!isAware) {
                    for (Police p : polices) {
                        while (true) {
                            int rand = random.nextInt(8) ;
                            if (p.update(dx[rand], dy[rand], n, m)) break ;
                        }
                    }
                }
                else {
                    for (Police p : polices) {
                        int mi = Integer.MAX_VALUE , res=0 ;
                        for (int i=0 ; i<8 ; ++i) {
                            int dis = Math.abs(thief.getRow() - (p.getRow()+dx[i]) ) ;
                            dis += Math.abs(thief.getCol() - (p.getCol()+dy[i]) ) ;
                            if (dis<mi) {
                                mi = dis ;
                                res = i ;
                            }
                        }
                        p.update(dx[res], dy[res], n, m) ;
                    }
                }

                // check finished program
                for (Police p : polices) {
                    if (p.getRow()==thief.getRow()
                            && p.getCol()==thief.getCol()) {
                        System.out.print("Finished ! \n") ;
                        System.exit(0) ;
                    }
                }

                Thread.sleep(2000) ;
            }
        }
}
